#### [HIGHLIGHT]Add support for TypeScript config files (#16828 by @itsyoboieltr & @fisker)

Added new format of configuration files:

- `.prettierrc.ts`
- `.prettierrc.mts`
- `.prettierrc.cts`
- `prettier.config.ts`
- `prettier.config.mts`
- `prettier.config.cts`

Note:

Currently TypeScript support in Node.js is experimental.

To make TypeScript config files work, Node.js>=22.6.0 is required and Node.js v22 requires `--experimental-strip-types`.

You can run prettier with

```sh
node --experimental-strip-types node_modules/prettier/bin/prettier.cjs . --write
```

or

```sh
NODE_OPTIONS="--experimental-strip-types" prettier . --write
```

Other TS loaders should also work, but not tested, use at your own risk.

For example, with [`tsx`](https://tsx.is/), you can

```sh
node --import tsx node_modules/prettier/bin/prettier.cjs . --write
```

or

```sh
tsx node_modules/prettier/bin/prettier.cjs . --write
```
